# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.64
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.64) ? 1 : 0);' 2>/dev/null || echo 0)

%global extraversion %{nil}

Summary:	Get the download size for web resources
Name:		perl-HTTP-Size
Version:	1.15
Release:	2.%{__distinit}%{__distvers}
License:	Artistic 2.0
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/HTTP-Size/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/HTTP-Size-%{version}%{?extraversion}.tar.gz
Patch0:		HTTP-Size-1.13-test-url.patch
Patch1:		HTTP-Size-1.15-old-EU::MM.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# ============ Module Build ========================
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
# ============ Module Runtime ======================
BuildRequires:	perl(HTML::SimpleLinkExtor)
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(strict)
BuildRequires:	perl(subs)
BuildRequires:	perl(URI)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# ============ Test Suite ==========================
BuildRequires:	perl(LWP::Simple)
BuildRequires:	perl(Test::Manifest) >= 1.21
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(URI::file)
# ============ Module Runtime ======================
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(HTML::SimpleLinkExtor)

%description
HTTP::Size - Get the byte size of an Internet resource.

%prep
%setup -q -n HTTP-Size-%{version}%{?extraversion}

# Some of the test URLs are unavailable now, so fix them
%patch0 -p1

# We don't really need ExtUtils::MakeMaker ≥ 6.64
%if %{old_eumm}
%patch1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

# If we have an old ExtUtils::MakeMaker, README.pod could get installed, which we don't want
rm -f %{buildroot}%{_mandir}/man3/HTTP::README.3pm
rm -f %{buildroot}%{perl_vendorlib}/HTTP/README.pod

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.pod
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/HTTP::Size.3*

%changelog
* Tue Aug  2 2016 Paul Howarth <paul@city-fan.org> - 1.15-2
- BR: perl-generators where available
- Avoid installing README.pod with old ExtUtils::MakeMaker versions
- Simplify find command using -delete

* Wed Sep  2 2015 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
  - Documentation and distribution updates
- License is now Artistic 2.0
- Work around requirement for ExtUtils::MakeMaker ≥ 6.64

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 1.14-2
- Use %%license where possible

* Thu May 29 2014 Paul Howarth <paul@city-fan.org> - 1.14-1
- Update to 1.14 (no changes)
- Drop %%defattr, redundant since rpm 4.4

* Sat Jul  7 2012 Paul Howarth <paul@city-fan.org> 1.13-9
- Own directory %%{perl_vendorlib}/HTTP/
- Drop BR:/R: perl-libwww-perl, too unspecfic
- Add runtime dependency on perl(HTML::SimpleLinkExtor)
- BR: perl(ExtUtils::MakeMaker) for module build
- BR: perl(HTTP::Request) and perl(LWP::UserAgent) for module
- BR: perl(LWP::Simple), perl(Test::Manifest), perl(Test::More) and
  perl(URI::file) for test suite
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> 1.13-8
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.13-7
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> 1.13-6
- Fix dist tag for RHEL-6 Beta

* Tue Feb 23 2010 Paul Howarth <paul@city-fan.org> 1.13-5
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Fri Sep 11 2009 Paul Howarth <paul@city-fan.org> 1.13-4
- Update to 1.13_01 (better resistance to problems in remote resource tests)
- Drop CPAN ROADMAP size patch, no longer needed
- Add patch to fix URLs for some test resources
- Define RPM macros in global scope

* Wed Oct 29 2008 Paul Howarth <paul@city-fan.org> 1.13-3
- CPAN ROADMAP file has grown, test suite fixed accordingly
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Tue Mar 11 2008 Paul Howarth <paul@city-fan.org> 1.13-2
- Rebuild for perl 5.10.0 on Fedora 9

* Tue Dec 18 2007 Paul Howarth <paul@city-fan.org> 1.13-1
- Update to 1.13

* Thu Nov  8 2007 Paul Howarth <paul@city-fan.org> 1.12-2
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 1.12-1
- Update to 1.12
- Include LICENSE file
- Fix argument order for find with -depth
- Add buildreqs for perl(Test::Pod) and perl(Test::Pod::Coverage)

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.11-2
- Fix distribution tags for development releases

* Thu Jun  8 2006 Paul Howarth <paul@city-fan.org> 1.11-1
- Update to 1.11
- Define %%{__id_u} in a more portable way

* Mon Apr 10 2006 Paul Howarth <paul@city-fan.org> 0.94-1
- Update to 0.94

* Fri Apr  7 2006 Paul Howarth <paul@city-fan.org> 0.93-1
- Update to 0.93
- Package Changes file

* Wed Mar 22 2006 Paul Howarth <paul@city-fan.org> 0.92-1
- Update to 0.92
- Remove yesterday's patch, issue fixed upstream

* Tue Mar 21 2006 Paul Howarth <paul@city-fan.org> 0.91-3
- Add patch to address missing online test files (CPAN RT#18272)
- Simplify distribution-detection code
- No point setting compiler optimization flags on noarch package
- Remove %%__perl_version macro, used only once
- Remove %%__perl_package macro, used only twice
- Don't use macros in build-time command paths, hardcode them instead
- Remove buildroot unconditionally in %%clean and %%install
- Change dependency style to use perl namespace
- License is same as perl, not just Artistic
- Use search.cpan.org URLs

* Sun Jun  5 2005 Paul Howarth <paul@city-fan.org> 0.91-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 0.91-1
- Update to 0.91
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.4-1
- Initial build
